# Copyright (c) 2012 Riverbank Computing Limited.
#
# This file is part of dip.
#
# This file may be used under the terms of the GNU General Public License
# v2 or v3 as published by the Free Software Foundation which can be found in
# the files LICENSE-GPL2.txt and LICENSE-GPL3.txt included in this package.
# In addition, as a special exception, Riverbank gives you certain additional
# rights.  These rights are described in the Riverbank GPL Exception, which
# can be found in the file GPL-Exception.txt in this package.
#
# This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
# WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.


from ..model import Bool, Enum, Str

from .i_editor import IEditor


class IStorageLocationEditor(IEditor):
    """ The IStorageLocationEditor interface defines the API to be implemented
    by a storage location editor.
    """

    # The filter hints as defined by :attr:`~dip.io.IFilterHints.filter`.
    filter_hints = Str()

    # The identifier of the format.
    format = Str()

    # The mode of the editor.  'open' means an existing location will be
    # obtained.  'save' means that a location that may or may not exist will be
    # obtained.
    mode = Enum('open', 'save')
