# Copyright (c) 2011 Riverbank Computing Limited.
#
# This file is part of dip.
#
# This file may be used under the terms of the GNU General Public License
# v2 or v3 as published by the Free Software Foundation which can be found in
# the files LICENSE-GPL2.txt and LICENSE-GPL3.txt included in this package.
# In addition, as a special exception, Riverbank gives you certain additional
# rights.  These rights are described in the Riverbank GPL Exception, which
# can be found in the file GPL-Exception.txt in this package.
#
# This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
# WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.


from ..model import Str

from .single_subview_container_factory import SingleSubviewContainerFactory
from .i_wizard_page import IWizardPage


class WizardPage(SingleSubviewContainerFactory):
    """ The WizardPage class implements the page of a wizard. """

    # The sub-title of the page.
    subtitle = Str(None, allow_none=True)

    # The title of the page.
    title = Str(None, allow_none=True)

    # The specific interface implemented by the view.
    view_interface = IWizardPage

    def configure(self, view):
        """ Reimplemented to configure the IWizardPage specific attributes.

        :param view:
            is the view.
        """

        if self.subtitle is not None:
            IWizardPage(view).subtitle = self.subtitle

        if self.title is not None:
            IWizardPage(view).title = self.title

        super(WizardPage, self).configure(view)
